Skip to main content

Documentation Index

Fetch the complete documentation index at: https://polynode.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

GET https://datasets.polynode.dev/api/datasets/sports-esports/wallets/market-makers
Returns wallets with a high percentage of maker fills, indicating liquidity provision.

Query Parameters

ParameterTypeDefaultDescription
min_maker_pctnumber80Minimum maker percentage (0-100).
min_fillsinteger50Minimum total fills to qualify.
afterintegerOnly wallets active after this unix timestamp.
beforeintegerOnly wallets active before this unix timestamp.
limitinteger100Max results (max 500).
offsetinteger0Pagination offset.

Example: Market makers active since March 2026

curl "https://datasets.polynode.dev/api/datasets/sports-esports/wallets/market-makers?min_maker_pct=90&min_fills=100&after=1740787200&limit=5"

Response

{
  "wallets": [
    {
      "wallet": "0x6d3c5bd13984b2de47c3a88ddc455309aab3d294",
      "fills": 278384,
      "volume_usdc": "64964574.19",
      "maker_fills": 272842,
      "maker_pct": "98.0",
      "tags": 3
    }
  ],
  "count": 5
}